# SwerveDriveTelemetry.TelemetryVerbosity
declaration: package: swervelib.telemetry, class: SwerveDriveTelemetry, enum: TelemetryVerbosity

Package swervelib.telemetry

# Enum Class SwerveDriveTelemetry.TelemetryVerbosity

java.lang.Object
java.lang.Enum<SwerveDriveTelemetry.TelemetryVerbosity>
swervelib.telemetry.SwerveDriveTelemetry.TelemetryVerbosity

All Implemented Interfaces:
  `Serializable`, `Comparable<SwerveDriveTelemetry.TelemetryVerbosity>`, `Constable`

Enclosing class:
  SwerveDriveTelemetry

public static enum SwerveDriveTelemetry.TelemetryVerbosity extends Enum<SwerveDriveTelemetry.TelemetryVerbosity>
Verbosity of telemetry data sent back.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
Full swerve drive data is sent back in both human and machine readable forms.
`LOW`
Low telemetry data, only post the robot position on the field.
`MACHINE`
Only send the machine readable data related to swerve drive.
`NONE`
No telemetry data is sent back.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`TelemetryVerbosity()`

## Method Summary

Modifier and Type
Method
Description
`static SwerveDriveTelemetry.TelemetryVerbosity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SwerveDriveTelemetry.TelemetryVerbosity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SwerveDriveTelemetry.TelemetryVerbosity NONE
No telemetry data is sent back.

### LOW

public static final SwerveDriveTelemetry.TelemetryVerbosity LOW
Low telemetry data, only post the robot position on the field.

### HIGH

public static final SwerveDriveTelemetry.TelemetryVerbosity HIGH
Full swerve drive data is sent back in both human and machine readable forms.

### MACHINE

public static final SwerveDriveTelemetry.TelemetryVerbosity MACHINE
Only send the machine readable data related to swerve drive.

## Constructor Details

### TelemetryVerbosity

private TelemetryVerbosity()

## Method Details

### values

public static SwerveDriveTelemetry.TelemetryVerbosity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SwerveDriveTelemetry.TelemetryVerbosity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null